
locals {
  account_name = var.account_name
  account_privilege = var.account_privilege
  account_type = var.account_type
  address_type = var.address_type
  ak_status = var.ak_status
  availability_zones = var.availability_zones
  bandwidth = var.bandwidth
  bucket_acls = var.bucket_acls
  bucket_names = var.bucket_names
  bucket_storage_classes = var.bucket_storage_classes
  character_set = var.character_set
  cidr_blocks = var.cidr_blocks
  count_format = var.count_format
  db_description = var.db_description
  delete_protection = var.delete_protection
  deletion_protection = var.deletion_protection
  deletion_window_in_days = var.deletion_window_in_days
  description = var.description
  disk_category = var.disk_category
  disk_size = var.disk_size
  display_name = var.display_name
  ecs_count = var.ecs_count
  ecs_count_format = var.ecs_count_format
  ecs_instance_charge_type = var.ecs_instance_charge_type
  ecs_internet_charge_type = var.ecs_internet_charge_type
  ecs_name = var.ecs_name
  ecs_type = var.ecs_type
  eip_instance_charge_type = var.eip_instance_charge_type
  eip_internet_charge_type = var.eip_internet_charge_type
  engine = var.engine
  engine_version = var.engine_version
  force = var.force
  group_comments = var.group_comments
  group_name = var.group_name
  image_name = var.image_name
  image_owners = var.image_owners
  instance_charge_type = var.instance_charge_type
  instance_storage = var.instance_storage
  instance_type = var.instance_type
  internet_charge_type = var.internet_charge_type
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  is_enabled = var.is_enabled
  isp = var.isp
  key_name = var.key_name
  logging_target_prefix = var.logging_target_prefix
  master_zone_id = var.master_zone_id
  mfa_bind_required = var.mfa_bind_required
  nic_type = var.nic_type
  object_key = var.object_key
  object_source = var.object_source
  password = var.password
  password_reset_required = var.password_reset_required
  policy_name = var.policy_name
  policy_type = var.policy_type
  profile = var.profile
  rds_account_name = var.rds_account_name
  rds_account_pwd = var.rds_account_pwd
  rds_count = var.rds_count
  rds_name = var.rds_name
  rds_zone_id = var.rds_zone_id
  region = var.region
  secret_file = var.secret_file
  security_group_name = var.security_group_name
  slave_zone_id = var.slave_zone_id
  slb_name = var.slb_name
  specification = var.specification
  sse_algorithm = var.sse_algorithm
  system_disk_size = var.system_disk_size
  tags = var.tags
  use_ecs_module = var.use_ecs_module
  use_eip_module = var.use_eip_module
  use_kms_module = var.use_kms_module
  use_oss_module = var.use_oss_module
  use_ram_module = var.use_ram_module
  use_rds_module = var.use_rds_module
  use_slb_module = var.use_slb_module
  use_vpc_module = var.use_vpc_module
  user_name = var.user_name
  vpc_cidr = var.vpc_cidr
  vpc_name = var.vpc_name
  which_bucket_for_uploading = var.which_bucket_for_uploading
}
